import json

json_file_path = '01_maps.json'
#json_file_path = '02_touren.json'
#json_file_path = '03_tracking.json'
#json_file_path = '04_share.json'

try:
    # Open the JSON file for reading
    with open(json_file_path, 'r') as json_file:
        # Load the JSON data
        data = json.load(json_file)

        # Create a dictionary to map asset IDs to their 'nm' values
        asset_name_map = {layer['refId']: layer['nm'] for layer in data['layers'] if 'refId' in layer}

        for asset in data['assets']:
            ref_id = asset.get('id')
            if ref_id in asset_name_map:
                asset['p'] = asset_name_map[ref_id]


        with open(json_file_path, 'w') as output_json_file:
            json.dump(data, output_json_file, indent=4)



        #print(json.dumps(data, indent=4))

except Exception as e:
    print(f"An error occurred: {e}")
